=== debian/control ===
Source: kernel-image-2.6.4-ia64
Section: devel
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: dann frazier <dannf@debian.org>
Build-Depends: kernel-tree-2.6.4-1, kernel-patch-2.6.4-ia64, kernel-package, debianutils (>= 1.6), debhelper (>= 2), bzip2
Standards-Version: 3.5.4

Package: kernel-image-2.6.4-itanium
Section: base
Architecture: ia64
Depends: initrd-tools (>= 0.1.56)
Suggests: elilo, kernel-doc-2.6.4
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for version 2.6.4 on IA-64 Itanium
 This package contains the Linux kernel image for version 2.6.4 on
 IA-64 Itanium, the corresponding System.map file, and the modules built 
 by the packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.

Package: kernel-image-2.6.4-itanium-smp
Section: base
Architecture: ia64
Depends: initrd-tools (>= 0.1.56)
Suggests: elilo, kernel-doc-2.6.4
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for version 2.6.4 on IA-64 Itanium SMP
 This package contains the Linux kernel image for version 2.6.4 on
 IA-64 Itanium SMP, the corresponding System.map file, and the modules 
 built by the packager.  It also contains scripts that try to ensure that 
 the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.

Package: kernel-image-2.6.4-mckinley
Section: base
Architecture: ia64
Depends: initrd-tools (>= 0.1.56)
Suggests: elilo, kernel-doc-2.6.4
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for version 2.6.4 on IA-64 McKinley
 This package contains the Linux kernel image for version 2.6.4 on
 IA-64 McKinley, the corresponding System.map file, and the modules built
 by the packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.
 .
 McKinley is also known as Itanium 2.

Package: kernel-image-2.6.4-mckinley-smp
Section: base
Architecture: ia64
Depends: initrd-tools (>= 0.1.56)
Suggests: elilo, kernel-doc-2.6.4
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for version 2.6.4 on IA-64 McKinley SMP
 This package contains the Linux kernel image for version 2.6.4 on
 IA-64 McKinley SMP, the corresponding System.map file, and the modules
 built by the packager.  It also contains scripts that try to ensure that
 the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.
 .
 McKinley is also known as Itanium 2.

Package: kernel-headers-2.6.4
Architecture: ia64
Provides: kernel-headers, kernel-headers-2.6
Description: Header files related to Linux kernel version 2.6.4 on IA-64
 This package provides kernel header files for version 2.6.4 on IA-64, for 
 sites that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.6.4-ia64/debian.README.gz for details
